<?php

//if (! defined('NOREQUIREUSER')) define('NOREQUIREUSER','1');	// Not disabled cause need to load personalized language
//if (! defined('NOREQUIREDB'))   define('NOREQUIREDB','1');	// Not disabled to increase speed. Language code is found on url.
if (! defined('NOREQUIRESOC'))    define('NOREQUIRESOC','1');
//if (! defined('NOREQUIRETRAN')) define('NOREQUIRETRAN','1');	// Not disabled cause need to do translations
if (! defined('NOCSRFCHECK'))     define('NOCSRFCHECK',1);
if (! defined('NOTOKENRENEWAL'))  define('NOTOKENRENEWAL',1);
if (! defined('NOLOGIN'))         define('NOLOGIN',1);
if (! defined('NOREQUIREMENU'))   define('NOREQUIREMENU',1);
if (! defined('NOREQUIREHTML'))   define('NOREQUIREHTML',1);
if (! defined('NOREQUIREAJAX'))   define('NOREQUIREAJAX','1');


require_once("../../master.inc.php");
require_once(DOL_DOCUMENT_ROOT."/lib/functions.lib.php");

// Define css type
header('Content-type: text/css');
// Important: Following code is to avoid page request by browser and PHP CPU at
// each Dolibarr page access.
if (empty($dolibarr_nocache)) header('Cache-Control: max-age=3600, public, must-revalidate');
else header('Cache-Control: no-cache');

// On the fly GZIP compression for all pages (if browser support it). Must set the bit 3 of constant to 1.
if (isset($conf->global->MAIN_OPTIMIZE_SPEED) && ($conf->global->MAIN_OPTIMIZE_SPEED & 0x04)) { ob_start("ob_gzhandler"); }

if (! empty($_GET["lang"])) $langs->setDefaultLang($_GET["lang"]);	// If language was forced on URL by the main.inc.php
$langs->load("main",0,1);
$right=($langs->direction=='rtl'?'left':'right');
$left=($langs->direction=='rtl'?'right':'left');
?>

/* ============================================================================== */
/* Styles par d�faut                                                              */
/* ============================================================================== */

body {
<?php if (! empty($_GET["optioncss"]) && $_GET["optioncss"] == 'print') {  ?>
	background-color: #FFF;
<?php } else { ?>
	background: #FFF;
<?php } ?>
	text-decoration: none ;
	color: #000000;
	font-size: <?php print empty($conf->browser->phone)?'12':'9'; ?>px;
	font-family: Verdana, Geneva, sans-serif;
    margin-top: 0;
    margin-bottom: 0;
    margin-right: 0;
    margin-left: 0;
}

a:link    { font-family: Verdana, Geneva, sans-serif; font-weight: bold; color: #1A4E8A; text-decoration: none; }
a:visited { font-family: Verdana, Geneva, sans-serif; font-weight: bold; color: #1A4E8A; text-decoration: none; }
a:active  { font-family: Verdana, Geneva, sans-serif; font-weight: bold; color: #1A4E8A; text-decoration: none; }
a:hover   { font-family: Verdana, Geneva, sans-serif; font-weight: bold; color: #33A8E5; text-decoration: none; }
input
{
	font-size: <?php print empty($conf->browser->phone)?'12':'9'; ?>px;
    font-family: Verdana, Geneva, sans-serif;
    background: #FFFFFF;
    border: 1px solid #CCC;
    padding: 0px 0px 0px 0px;
    margin: 0px 0px 0px 0px;
}
input.flat
{
	font-size: <?php print empty($conf->browser->phone)?'12':'9'; ?>px;
    font-family: Verdana, Geneva, sans-serif;
    background: #FFFFFF;
    border: 1px solid #CCC;
    padding: 0px 0px 0px 0px;
    margin: 0px 0px 0px 0px;
}
textarea  {
	font-size: <?php print empty($conf->browser->phone)?'12':'9'; ?>px;
    font-family: Verdana, Geneva, sans-serif;
    background: #FFFFFF;
    border: 1px solid #CCC;
    padding: 0px 0px 0px 0px;
    margin: 0px 0px 0px 0px;
}
textarea.flat
{
	font-size: <?php print empty($conf->browser->phone)?'12':'9'; ?>px;
    font-family: Verdana, Geneva, sans-serif;
    background: #FFFFFF;
    border: 1px solid #CCC;
    padding: 0px 0px 0px 0px;
    margin: 0px 0px 0px 0px;
}
select.flat
{
	background: #FDFDFD;
    font-size: <?php print empty($conf->browser->phone)?'12':'9'; ?>px;
	font-family: Verdana, Geneva, sans-serif;
	font-weight: normal;
    border: 1px solid #CCC;
    padding: 0px 0px 0px 0px;
    margin: 0px 0px 0px 0px;
}
.button  {
	font-family: Verdana, Geneva, sans-serif;
    padding: 0px 2px 0px 2px;
    margin: 0px 0px 0px 0px;
	border-left: 3px solid #33cc00;
}

a.button:hover  {
	font-family: Verdana, Geneva, sans-serif;
    padding: 0px 2px 0px 2px;
    margin: 0px 0px 0px 0px;
	border-left: 5px solid #33cc00;
}


.buttonajax  {
	font-family: Verdana, Geneva, sans-serif;
    padding: 0px 2px 0px 2px;
    margin: 0px 0px 0px 0px;
	border-left: 3px solid #33cc00;
}
form
{
    padding: 0px 0px 0px 0px;
    margin: 0px 0px 0px 0px;
}


/* ============================================================================== */
/* Styles de positionnement des zones                                             */
/* ============================================================================== */

div.fiche
{
	margin-left: 5px;
}

/* ============================================================================== */
/* Menu superieur et 1ere ligne tableau                                           */
/* ============================================================================== */

div.tmenu
{
<?php if (! empty($_GET["optioncss"]) && $_GET["optioncss"] == 'print') {  ?>
	display:none;
<?php } else { ?>
    position: relative;
    display: block;
    white-space: nowrap;
    border-bottom: 3px solid #ff3333;
    padding: 5px 0px 0px 0px;
    margin: 0px 0px 2px 0px;
    font-weight: bold;
    font-size: 14px;
    font-color : #1A4E8A;
    height: 30px;
    background: #33A8E5;
    color: #;
    text-decoration: none;    
<?php } ?>
}

a.tmenudisabled
{
	color: #;
    padding: 0px 8px;
    margin: 0px 0px 6px 0px;
	cursor: not-allowed;
}
a.tmenudisabled:link
{
	color: #;
    font-weight: normal;
}
a.tmenudisabled:visited
{
	color: #;
    font-weight: normal;
}
a.tmenudisabled:hover
{
	color: #;
    font-weight: normal;
}
a.tmenudisabled:active
{
	color: #;
    font-weight: normal;
}

a.tmenu:link
{
  color: #FFF;
  padding: 0px 8px;
  margin: 0px 0px 6px 0px;
  font-weight: bold;
}
a.tmenu:visited
{
  color: #FFF;
  padding: 0px 8px;
  margin: 0px 0px 6px 0px;
  font-weight: bold;
}
a.tmenu:hover
{
  color: #ff3333;
  background: #FFFFFF;
  padding: 0px 8px;
  margin: 0px 0px 6px 0px;
  text-decoration: none;
  border-bottom: 10px solid #FFFFFF;
  border-top: 13px solid #FFFFFF;
}
a.tmenu:active
{
  color: #ff3333;
  background: #F6F6F6;
  padding: 0px 8px;
  margin: 0px 0px 6px 0px;
  text-decoration: none;
  border-bottom: 10px solid #F6F6F6;
  border-top: 13px solid #F6F6F6;
}

a.tmenusel
{
  color: #ff3333;
  background: #FFFFFF;
  padding: 0px 8px;
  margin: 0px 0px 6px 0px;
  text-decoration: none;
  border-bottom: 13px solid #FFFFFF;
  border-top: 13px solid #FFFFFF;
}


/* Top menu */

table.tmenu
{
    padding: 0px 0px 10px 0px;
    margin: 0px 0px 0px 6px;
}

* html li.tmenu a
{
	width:40px;
}

ul.tmenu {
	padding: 0px 0px 0px 0px;
    margin: 0px 0px 0px 0px;
	list-style: none;

}
li.tmenu {
	float: left;
	border-right: solid 1px #;
	height: 18px;
	position:relative;
	display: block;
	margin:0;
	padding:0;
}
li.tmenu a{
  	font-size: 13px;
	color:#;
	text-decoration:none;
	padding-left:10px;
	padding-right:10px;
	padding-top: 2px;
	height: 18px;
	display: block;
	font-weight: normal;
}
li.tmenu a.tmenusel
{
	background:#FFFFFF;
	color:#;
	font-weight: normal;
}
li.tmenu a:visited
{
	color:#;
	font-weight: normal;
}
li.tmenu a:hover
{
	background:#FFFFFF;
	color:#;
	font-weight: normal;
}
li.tmenu a:active
{
	color:#;
	font-weight: normal;
}
li.tmenu a:link
{

	font-weight: normal;
}




/* Login */

a.login
{
  position: absolute;
  <?php print $right; ?>: 30px;
  top: 3px;

  color: #1A4E8A;
  padding: 0px 8px;
  margin: 0px 0px 6px 0px;
  font-weight:bold;
}
a.login:hover
{
  color: #ff3333;
  background: #33A8E5;
  padding: 0px 8px;
  margin: 0px 0px 6px 0px;
  text-decoration: none;
  
}

img.login
{
  position: absolute;
  <?php print $right; ?>: 20px;
  top: 3px;

  text-decoration:none;
  color:white;
  font-weight:bold;
}
img.printer
{
  position: absolute;
  <?php print $right; ?>: 4px;
  top: 4px;

  text-decoration: none;
  color: white;
  font-weight: bold;
}


/* ============================================================================== */
/* Menu gauche                                                                    */
/* ============================================================================== */

<?php if (! empty($_GET["optioncss"]) && $_GET["optioncss"] == 'print') {  ?>
.vmenu {
	display:none;
}
<?php } ?>

td.vmenu
{
    padding-right: 2px;
    margin-top: 0px;
    padding-bottom: 0px;
    width: 200px;
  	border-right: 0px solid #F2F2F2;
}

a.vmenu:link    { font-family: Verdana, Geneva, sans-serif; text-align:left; font-weight: bold; color: #ff3333; font-size:14px; text-decoration: none;}
a.vmenu:visited { font-family: Verdana, Geneva, sans-serif; text-align:left; font-weight: bold; color: #ff3333; font-size:14px; text-decoration: none;}
a.vmenu:active  { font-family: Verdana, Geneva, sans-serif; text-align:left; font-weight: bold; color: #ff3333; font-size:14px; text-decoration: none;}
a.vmenu:hover   { font-family: Verdana, Geneva, sans-serif; text-align:left; font-weight: bold; color: #ff3333; font-size:14px; text-decoration: none; border-left: 3px solid #FFF; }
font.vmenudisabled { font-size:<?php print empty($conf->browser->phone)?'12':'9'; ?>px; font-family: Verdana, Geneva, sans-serif; text-align:left; font-weight: normal; color: #a3a590; }

a.vsmenu:link    { font-family: Verdana, Geneva, sans-serif; text-align:left; font-weight: bold; color: #33A8E5; margin: 1px 1px 1px 6px; text-decoration: none;}
a.vsmenu:visited { font-family: Verdana, Geneva, sans-serif; text-align:left; font-weight: bold; color: #33A8E5; margin: 1px 1px 1px 6px; text-decoration: none;}
a.vsmenu:active  { font-family: Verdana, Geneva, sans-serif; text-align:left; font-weight: bold; color: #33A8E5; margin: 1px 1px 1px 6px; text-decoration: none;}
a.vsmenu:hover   { font-family: Verdana, Geneva, sans-serif; text-align:left; font-weight: bold; color: #ff3333; margin: 1px 1px 1px 6px; text-decoration: none;}
font.vsmenudisabled { font-size:<?php print empty($conf->browser->phone)?'12':'9'; ?>px; font-family: Verdana, Geneva, sans-serif; text-align:left; font-weight: normal; color: #a3a590; margin: 1px 1px 1px 6px; }

a.help:link    { font-family: Verdana, Geneva, sans-serif; text-align:left; font-weight: normal; }
a.help:visited { font-family: Verdana, Geneva, sans-serif; text-align:left; font-weight: normal; }
a.help:active  { font-family: Verdana, Geneva, sans-serif; text-align:left; font-weight: normal; }
a.help:hover   { font-family: Verdana, Geneva, sans-serif; text-align:left; font-weight: normal; }


div.blockvmenupair
{
	margin: 0px;
	border-spacing: 0px;
	padding: 0px;
	width: 200px;
}
div.blockvmenuimpair
{
	margin: 0px;
	border-spacing: 0px;
	padding: 0px;
	width: 200px;
}

div.blockvmenuimpair form a.vmenu, div.blockvmenupair form a.vmenu
{
	width: 200px;
	border-spacing: 0px;
	color: #000000;
	text-align:left;
	text-decoration: none;
	padding: 4px;
	margin: 0px;
	background: #FFFFFF;
}

div.menu_titre {
	background: #FFFFFF;
	padding: 0px;
	padding-top:5px;
	padding-left:0px;
	padding-bottom:5px;
	margin-top: 8px;
	margin: 0px;
	height: 16px;
    text-align: left;
    font-size : 14px;
    color : #FFFFFF;
    font-weight: bold;
}

div.blockvmenusearch {
	margin: 10px 0px 2px 0px;
	padding: 0px 0px 2px 2px;
	width: 200px;
    border : 3px solid #F6F6F6;
}

#blockvmenusearch div.menu_titre, #blockvmenusearch form {
	padding-top: 1px;
	padding-bottom: 5px;
    font-size : 12px;
}

div.blockvmenubookmarks
{
	margin: 0px;
	border-spacing: 0px;
	padding: 0px;
	width: 200px;
    border : 0px solid #F6F6F6;
}

div.blockvmenuhelp {
	text-align: center;
	border-spacing: 0px;
    width: 200px;
	background: #F6F6F6;
	color: #000000;
	text-decoration: none;
    padding-left: 0px;
    padding-right: 1px;
    padding-top: 3px;
    padding-bottom: 3px;
    margin: 1px 0px 0px 0px;
}

div.menu_contenu {
	background: #FFFFFF;
	margin: 0px;
	padding: 1px;

	padding-right: 8px;
    font-size : 12px;
    font-weight:normal;
    color : #000000;
    text-align: left;
}

div.menu_end {
	background: #FFFFFF;
	margin: 0px;
	padding: 0px;
	height: 6px;
    width: 165px;
}


td.barre {
	border-right: 1px solid #000000;
	border-bottom: 1px solid #000000;
	background: #F6F6F6;
	color: #000000;
	text-align: <?php print $left; ?>;
	text-decoration: none;
}

td.barre_select {
	background: #F6F6F6;
	color: #000000;
}

td.photo {
	background: #F4F4F4;
	color: #000000;
    border: 1px solid #F6F6F6;
}


/* ============================================================================== */
/* Onglets                                                                        */
/* ============================================================================== */

div.tabs {
    top: 20px;
    margin: 1px 0px 0px 0px;
    padding: 0px 6px 0px 0px;
    text-align: left;
}

div.tabBar {
    background: #F6F6F6;
    padding-top: 14px;
    padding-left: 14px;
    padding-right: 14px;
    padding-bottom: 14px;
    margin: 0px 0px 10px 0px;
    border: 0px solid #1A4EA8;
    border-top: 0px solid #1A4EA8;
}

div.tabsAction {
    margin: 20px 0em 1px 0em;
    padding: 0em 0em;
    text-align: right;
}

a.tabTitle {
    background: #fff;
    color: #ff3333;
    font-weight: bold;
    font-size:14px;
    padding: 0em 0.5em;
    margin: 0em 1em;
    text-decoration: none;
    white-space: nowrap;
}

a.tab:link {
  color: #1A4EA8;
  font-size:14px;
  padding: 0px 6px;
  margin: 0em 0.2em;
  text-decoration: none;
  white-space: nowrap;
}
a.tab:visited {
  background: #F6F6F6;
  border: 0px solid #1A4EA8;
  color: #1A4EA8;
  padding: 0px 6px;
  margin: 0em 0.2em;
  text-decoration: none;
  white-space: nowrap;
}
a.tab#active {
  background: #F6F6F6;
  color: #FF3333;
  border-top: #ff3333 3px solid;
  text-decoration: none;
}
a.tab:hover {
  text-decoration: none;
  border-top: 3px solid #1A4EA8;
}

a.tabimage {
    color: #1A4EA8;
    text-decoration: none;
    white-space: nowrap;
}


/* ============================================================================== */
/* Boutons actions                                                                */
/* ============================================================================== */

/* Nouvelle syntaxe � utiliser */

a.butAction:link    { font-family: Verdana, Geneva, sans-serif; background: #F6F6F6; border: 1px solid #33cc00; color: #33cc00; padding: 0em 0.7em; margin: 0em 0.5em; text-decoration: none; white-space: nowrap; }
a.butAction:visited { font-family: Verdana, Geneva, sans-serif; background: #F6F6F6; border: 1px solid #33cc00; color: #33cc00; padding: 0em 0.7em; margin: 0em 0.5em; text-decoration: none; white-space: nowrap; }
a.butAction:active  { font-family: Verdana, Geneva, sans-serif; background: #F6F6F6; border: 1px solid #33cc00; color: #33cc00; padding: 0em 0.7em; margin: 0em 0.5em; text-decoration: none; white-space: nowrap; }
a.butAction:hover   { font-family: Verdana, Geneva, sans-serif; background: #33cc00; border: 1px solid #F6F6F6; color: #F6F6F6; padding: 0em 0.7em; margin: 0em 0.5em; text-decoration: none; white-space: nowrap;}

.butActionRefused         { font-family: Verdana, Geneva, sans-serif; background: white; border: 1px solid #AAAAAA; color: #AAAAAA !important; padding: 0em 0.7em; margin: 0em 0.5em; text-decoration: none !important; white-space: nowrap; cursor: not-allowed; }

a.butActionDelete:link    { font-family: Verdana, Geneva, sans-serif;
                      background: white;
                      border: 1px solid #ff3333;
                      color: #ff3333;
                      padding: 0em 0.7em;
                      margin: 0em 0.5em;
                      text-decoration: none;
                      white-space: nowrap; }

a.butActionDelete:active    { font-family: Verdana, Geneva, sans-serif;
                      background: white;
                      border: 1px solid #ff3333;
                      color: #ff3333;
                      padding: 0em 0.7em;
                      margin: 0em 0.5em;
                      text-decoration: none;
                      white-space: nowrap; }

a.butActionDelete:visited    { font-family: Verdana, Geneva, sans-serif;
                      background: white;
                      border: 1px solid #ff3333;
                      color: #ff3333;
                      padding: 0em 0.7em;
                      margin: 0em 0.5em;
                      text-decoration: none;
                      white-space: nowrap; }

a.butActionDelete:hover    { font-family: Verdana, Geneva, sans-serif;
                      background: #FFe7ec;
                      border: 1px solid #ff3333;
                      color: #ff3333;
                      padding: 0em 0.7em;
                      margin: 0em 0.5em;
                      text-decoration: none;
                      white-space: nowrap; }


/* ============================================================================== */
/* Tables                                                                         */
/* ============================================================================== */

.nocellnopadd {
list-style-type:none;
margin:0px;
padding:0px;
}

.notopnoleft {
border-collapse: collapse;
border: 0px;
padding-top: 0px;
padding-left: 0px;
padding-right: 4px;
padding-bottom: 4px;
margin: 0px 0px;
}
.notopnoleftnoright {
border-collapse: collapse;
border: 0px;
padding-top: 0px;
padding-left: 0px;
padding-right: 0px;
padding-bottom: 4px;
margin: 0px 0px;
}

table.border {
border-collapse: collapse;
border: 1px white ridge;
}
table.border td {
border: 1px solid #6C7C8B;
padding: 1px 2px;
border-collapse: collapse;
}

table.noborder {
border-collapse: collapse;
border: 0px;
}
table.noborder td {
border: 0px;
padding: 1px 2px;
}

table.nobordernopadding {
border-collapse: collapse;
border: 0px;
}
table.nobordernopadding tr {
border: 0px;
padding: 0px 0px;
}
table.nobordernopadding td {
border: 0px;
padding: 0px 0px;
}

table.liste {
border-collapse: collapse;
border: 0px;
width: 100%;
}


/*
 *  Tableaux
 */






td.border {
            border-top: 1px solid #;
            border-right: 1px solid #;
            border-bottom: 1px solid #;
            border-left: 1px solid #;
            }


/*
 *   Ok, Warning, Error
 */
.ok      { color: #33cc00; }
.warning { color: #ff3333; }
.error   { color: #ff3333; font-weight: bold; }

div.ok {
  color: #114466;
}

div.warning {
  color: #ff3333;
  padding: 0.2em 0.2em 0.2em 0.2em;
  border: 2px solid #ff3333;
  -moz-border-radius:6px;
  background: #F6F6F6;
}

div.error {
  color: #ff3333; font-weight: bold;
  padding: 0.2em 0.2em 0.2em 0.2em;
  margin: 0.5em 0em 0.5em 0em;
  border: 1px solid #969090;
}

div.info {
  color: #999;
  padding: 0.2em 0.2em 0.2em 0.2em;
  margin: 0.5em 0em 0.5em 0em;
  border: 3px solid #F2F2F2;
}


/*
 *   Liens Payes/Non payes
 */

a.normal:link { font-weight: normal }
a.normal:visited { font-weight: normal }
a.normal:active { font-weight: normal }
a.normal:hover { font-weight: normal }

a.impayee:link { font-weight: bold; color: #ff3333; }
a.impayee:visited { font-weight: bold; color: #ff3333; }
a.impayee:active { font-weight: bold; color: #ff3333; }
a.impayee:hover { font-weight: bold; color: #ff3333; }





/*
 *  Other
 */

.fieldrequired { font-weight: bold; color: #ff3333; }

#pictotitle {
	<?php print !empty($conf->browser->phone)?'display: none;':''; ?>
}

.photo {
border: 0px;
/* filter:alpha(opacity=55); */
/* opacity:.55; */
}

div.titre {
    font-family: Verdana, Geneva, sans-serif;
    font-weight: bold;
    font-size: 16px;
    color: #ff3333;
    text-decoration: none;
}



input.liste_titre {
    background: #33A8E5;
    border: 0px;
}

tr.liste_titre {
    color: #FFFFFF;
    background: #33A8E5;
    font-family: Verdana, Geneva, sans-serif;
    font-size: 14px;
    border-left: 0px solid #FFFFFF;
    border-right: 0px solid #FFFFFF;
    border-top: 0px solid #FFFFFF;
    border-bottom: 0px solid #FFFFFF;
    white-space: nowrap;
}

td.liste_titre {
    color: #FFFFFF;
    background: #33A8E5;
    font-family: Verdana, Geneva, sans-serif;
    border-top: 0px solid #FFFFFF;
    border-bottom: Opx solid #FFFFFF;
    white-space: nowrap;
}

.liste_titre_sel
{
    color: #FFFFFF;
    background: #33A8E5;
    font-family: Verdana, Geneva, sans-serif;
    font-weight: bold;
    border-top: 0px solid #FFFFFF;
    border-bottom: 0px solid #FFFFFF;
    white-space: nowrap;
}

tr.liste_total td {
    background: #F6F6F6;
    font-weight: bold;
    white-space: nowrap;
    border-top: 2px solid #CCC;
}

th {
    color: #FFFFFF;
    background: #1A4EA8;
    font-family: Verdana, Geneva, sans-serif;
    border-left: 1px solid #FFFFFF;
    border-right: 1px solid #FFFFFF;
    border-top: 1px solid #FFFFFF;
    border-bottom: 1px solid #FFFFFF;
    white-space: nowrap;
}


.pair {
    background: #F6F6F6;
    }

.impair {
    background: #FFFFFF;
    }

/*
 *  Boxes
 */

.box {
	padding-right: 4px;
	padding-bottom: 4px;
}

tr.box_titre {
    color: #FFFFFF;
    background: #1A4EA8;
    font-family: Helvetica, Verdana;
}

tr.box_pair {
    background: #F6F6F6;
}

tr.box_impair {
    background: #FFFFFF;
    font-family: Helvetica, Verdana;
}

tr.fiche {
    font-family: Helvetica, Verdana;
}



/* ============================================================================== */
/* Formulaire confirmation (HTML)                                                 */
/* ============================================================================== */

table.valid {
    border-top: solid 1px #E6E6E6;
    border-left: solid 1px #E6E6E6;
    border-right: solid 1px #444444;
    border-bottom: solid 1px #555555;
	padding-top: 0px;
	padding-left: 0px;
	padding-right: 0px;
	padding-bottom: 0px;
	margin: 0px 0px;
    background: #DC9999;
}

.validtitre {
    background: #DC9999;
	font-weight: bold;
}

.valid {
}

/* ============================================================================== */
/* Formulaire confirmation (AJAX)                                                 */
/* ============================================================================== */

.overlay_alert {
	background-color: #DDDDDD;
	filter: alpha(opacity=50); /*Does not respect CSS standard */
	-moz-opacity: 0.5;
	opacity: 0.5;
}

.alert_nw {
	width: 5px;
	height: 5px;
	background: transparent url(alert/top_left.gif) no-repeat bottom left;
}

.alert_n {
	height: 5px;
	background: transparent url(alert/top.gif) repeat-x bottom left;
}

.alert_ne {
	width: 5px;
	height: 5px;
	background: transparent url(alert/top_right.gif) no-repeat bottom left
}

.alert_e {
	width: 5px;
	background: transparent url(alert/right.gif) repeat-y 0 0;
}

.alert_w {
	width: 5px;
	background: transparent url(alert/left.gif) repeat-y 0 0;
}

.alert_sw {
	width: 5px;
	height: 5px;
	background: transparent url(alert/bottom_left.gif) no-repeat 0 0;
}

.alert_s {
	height: 5px;
	background: transparent url(alert/bottom.gif) repeat-x 0 0;
}

.alert_se, .alert_sizer {
	width: 5px;
	height: 5px;
	background: transparent url(alert/bottom_right.gif) no-repeat 0 0;
}

.alert_close {
	width:0px;
	height:0px;
	display:none;
}

.alert_minimize {
	width:0px;
	height:0px;
	display:none;
}

.alert_maximize {
	width:0px;
	height:0px;
	display:none;
}

.alert_title {
	float:left;
	height:1px;
	width:100%;
}

.alert_content {
	overflow:visible;
	color: #000;
	font-family: Tahoma, Arial, sans-serif;
  	font: 12px arial;
	background: #FFF;
}

/* For alert/confirm dialog */
.alert_window {
	background: #FFF;
	padding:30px;
	margin-left:auto;
	margin-right:auto;
	width:400px;
}

.alert_message {
  font: 12px arial;
  text-align:left;
	width:100%;
	color:#012;
	padding-top:5px;
	padding-left:5px;
	padding-bottom:5px;
}

.alert_buttons {
	text-align:center;
	width:100%;
}

.alert_buttons input {
	width:20%;
	margin:5px;
}

.alert_progress {
	float:left;
	margin:auto;
	text-align:center;
	width:100%;
	height:16px;
	background: #FFF url('alert/progress.gif') no-repeat center center
}

.dialog {
	display: block;
	position: absolute;
}

.dialog table.table_window  {
  border-collapse: collapse;
  border-spacing: 0;
  width: 100%;
	margin: 0px;
	padding:0px;
}

.dialog table.table_window td , .dialog table.table_window th {
  padding: 0;
}

.dialog .title_window {
  -moz-user-select:none;
}



/* ============================================================================== */
/* Tooltips                                                                       */
/* ============================================================================== */

#dhtmltooltip
{
position: absolute;
width: <?php print dol_size(450,'width'); ?>px;
border-top: solid 1px #BBBBBB;
border-left: solid 1px #BBBBBB;
border-right: solid 1px #444444;
border-bottom: solid 1px #444444;
padding: 2px;
background-color: #FFFFE0;
visibility: hidden;
z-index: 100;
}


/* ============================================================================== */
/* Calendar                                                                       */
/* ============================================================================== */
.bodyline {
	-moz-border-radius:8px;
	border: 1px #E4ECEC outset;
	padding:0px;
	margin-bottom:5px;
}
table.dp {
    width: 180px;
    background-color: #FFFFFF;
    border-top: solid 2px #F6F6F6;
    border-left: solid 2px #F6F6F6;
    border-right: solid 1px #F6F6F6;
    border-bottom: solid 1px #F6F6F6;
}
.dp td, .tpHour td, .tpMinute td{padding:2px; font-size:10px;}
/* Barre titre */
.dpHead,.tpHead,.tpHour td:Hover .tpHead{
	font-weight:bold;
	background-color:#F6F6F6;
	color:#1A4E8A;
	font-size:12px;
	cursor:auto;
}
/* Barre navigation */
.dpButtons,.tpButtons {
	text-align:center;
	background-color:#F6F6F6;
	color:#1A4E8A;
	font-weight:bold;
	border: 1px outset black;
	cursor:pointer;
}
.dpButtons:Active,.tpButtons:Active{border: 1px outset black;}
.dpDayNames td,.dpExplanation {background-color:#D9DBE1; font-weight:bold; text-align:center; font-size:11px;}
.dpExplanation{ font-weight:normal; font-size:11px;}
.dpWeek td{text-align:center}

.dpToday,.dpReg,.dpSelected{
	cursor:pointer;
}
.dpToday{font-weight:bold; color:black; background-color:#DDDDDD;}
.dpReg:Hover,.dpToday:Hover{background-color:black;color:white}

/* Jour courant */
.dpSelected{background-color:#1A4EA8;color:white;font-weight:bold; }

.tpHour{border-top:1px solid #DDDDDD; border-right:1px solid #DDDDDD;}
.tpHour td {border-left:1px solid #DDDDDD; border-bottom:1px solid #DDDDDD; cursor:pointer;}
.tpHour td:Hover {background-color:black;color:white;}

.tpMinute {margin-top:5px;}
.tpMinute td:Hover {background-color:black; color:white; }
.tpMinute td {background-color:#D9DBE1; text-align:center; cursor:pointer;}

/* Bouton X fermer */
.dpInvisibleButtons
{
border-style:none;
background-color:transparent;
padding:0px;
font-size:9px;
border-width:0px;
color:#062342;
vertical-align:middle;
cursor: pointer;
}


/* ============================================================================== */
/*  Afficher/cacher                                                               */
/* ============================================================================== */

div.visible {
    display: block;
}

div.hidden {
    display: none;
}

tr.visible {
    display: block;
}

td.hidden {
    display: none;
}



/* ============================================================================== */
/*  Module agenda                                                                 */
/* ============================================================================== */

.cal_other_month   { background: #EEEEEE; border: solid 1px #ACBCBB; padding-left: 2px; padding-right: 1px; padding-top: 0px; padding-bottom: 0px; }
.cal_past_month    { background: #EEEEEE; border: solid 1px #ACBCBB; padding-left: 2px; padding-right: 1px; padding-top: 0px; padding-bottom: 0px; }
.cal_current_month { background: #FFFFFF; border: solid 1px #ACBCBB; padding-left: 2px; padding-right: 1px; padding-top: 0px; padding-bottom: 0px; }
.cal_today         { background: #CCC; border: solid 2px #6C7C7B; padding-left: 2px; padding-right: 1px; padding-top: 0px; padding-bottom: 0px; }
table.cal_event    { border-collapse: collapse; margin-bottom: 1px; }
table.cal_event td { border: 0px; padding-left: 0px; padding-right: 2px; padding-top: 0px; padding-bottom: 0px; } */
.cal_event a:link    { color: #111111; font-size: 11px; font-weight: normal !important; }
.cal_event a:visited { color: #111111; font-size: 11px; font-weight: normal !important; }
.cal_event a:active  { color: #111111; font-size: 11px; font-weight: normal !important; }
.cal_event a:hover   { color: #111111; font-size: 11px; font-weight: normal !important; }



/* ============================================================================== */
/* Admin Menu                                                                     */
/* ============================================================================== */

/* CSS a  appliquer a  l'arbre hierarchique */

/* Lien plier /deplier tout */
.arbre-switch {
    text-align: right;
    padding: 0 5px;
    margin: 0 0 -18px 0;
}

/* Arbre */
ul.arbre {
    padding: 5px 10px;
}
/* strong : A modifier en fonction de la balise choisie */
ul.arbre strong {
    font-weight: normal;
    padding: 0 0 0 20px;
    margin: 0 0 0 -7px;
    background-image: url(<?php echo DOL_URL_ROOT.'/theme/common/treemenu/branch.gif' ?>);
    background-repeat: no-repeat;
    background-position: 1px 50%;
}
ul.arbre strong.arbre-plier {
    background-image: url(<?php echo DOL_URL_ROOT.'/theme/common/treemenu/plus.gif' ?>);
    cursor: pointer;
}
ul.arbre strong.arbre-deplier {
    background-image: url(<?php echo DOL_URL_ROOT.'/theme/common/treemenu/minus.gif' ?>);
    cursor: pointer;
}
ul.arbre ul {
    padding: 0;
    margin: 0;
}
ul.arbre li {
    padding: 0;
    margin: 0;
    list-style: none;
}
ul.arbre li li {
    margin: 0 0 0 16px;
}
/* Classe pour masquer */
.hide {
    display: none;
}

img.menuNew
{
	display:block;
	border:0px;
}

img.menuEdit
{
	border: 0px;
	display: block;
}

img.menuDel
{
	display:none;
	border: 0px;
}

div.menuNew
{
	margin-top:-20px;
	margin-left:270px;
	height:20px;
	padding:0px;
	width:30px;
	position:relative;
}

div.menuEdit
{
	margin-top:-15px;
	margin-left:250px;
	height:20px;
	padding:0px;
	width:30px;
	position:relative;

}

div.menuDel
{
	margin-top:-20px;
	margin-left:290px;
	height:20px;
	padding:0px;
	width:30px;
	position:relative;

}

div.menuFleche
{
	margin-top:-16px;
	margin-left:320px;
	height:20px;
	padding:0px;
	width:30px;
	position:relative;

}



/* ============================================================================== */
/*  CSS for color picker                                                          */
/* ============================================================================== */

A.color, A.color:active, A.color:visited {
 position : relative;
 display : block;
 text-decoration : none;
 width : 10px;
 height : 10px;
 line-height : 10px;
 margin : 0px;
 padding : 0px;
 border : 1px inset white;
}
A.color:hover {
 border : 1px outset white;
}
A.none, A.none:active, A.none:visited, A.none:hover {
 position : relative;
 display : block;
 text-decoration : none;
 width : 10px;
 height : 10px;
 line-height : 10px;
 margin : 0px;
 padding : 0px;
 cursor : default;
 border : 1px solid #F6F6F6;
}
.tblColor {
 display : none;
}
.tdColor {
 padding : 1px;
}
.tblContainer {
 background-color : #DDDDDD;
}
.tblGlobal {
 position : absolute;
 top : 0px;
 left : 0px;
 display : none;
 background-color : #DDDDDD;
 border : 2px outset;
}
.tdContainer {
 padding : 5px;
}
.tdDisplay {
 width : 50%;
 height : 20px;
 line-height : 20px;
 border : 1px outset white;
}
.tdDisplayTxt {
 width : 50%;
 height : 24px;
 line-height : 12px;
 font-family: Verdana, Geneva, sans-serif;
 font-size : 8pt;
 color : black;
 text-align : center;
}
.btnColor {
 width : 100%;
 font-family: Verdana, Geneva, sans-serif;
 font-size : 10pt;
 padding : 0px;
 margin : 0px;
}
.btnPalette {
 width : 100%;
 font-family: Verdana, Geneva, sans-serif;
 font-size : 8pt;
 padding : 0px;
 margin : 0px;
}

